// Raytrace file of 7 spheres orbiting a torus
// (c) B.B. Beard 1993
//
//NECKLACE.OUT GENERATED WITH POVCAD 2.0 (c) Alfonso Hermida 1993
//Created on 8/27/93 9:20:03 AM

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "necklace.inc"

#declare Ball_rad = 0.75
camera {
 location  <9.0 9.0 -9.0 >
 direction <0.0 0.0 1.0 >
 up        <0.0 1.0 0.0 >
 right     <1.33333 0.0 0.0 >
 look_at   <0.0 -2.0 0.0 >
}

// TORUS
object {
 quartic {
  < 1.0   0.0   0.0    0.0     2.0   0.0   0.0   2.0   0.0 -5.200E1
    0.0   0.0   0.0    0.0     0.0   0.0   0.0   0.0   0.0    0.0
    1.0   0.0   0.0    2.0     0.0  4.800E1 0.0   0.0   0.0    0.0
    1.0   0.0 -5.200E1 0.0   5.760E2>
 }
 texture {Brass_Metal}
}
// SPHERE at 0 degrees
object {
 sphere {<  x0  y0  z0  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 1 * angleinc
object {
 sphere {<  x1  y1  z1  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 2 * angleinc
object {
 sphere {<  x2  y2  z2  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 3 * angleinc
object {
 sphere {<  x3  y3  z3  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 4 * angleinc
object {
 sphere {<  x4  y4  z4  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 5 * angleinc
object {
 sphere {<  x5  y5  z5  > Ball_rad }
 texture {White_Marble}
}
// SPHERE at 6 * angleinc
object {
 sphere {<  x6  y6  z6  > Ball_rad }
 texture {White_Marble}
}
// LIGHT_SOURCE
object {
  light_source{< 20  20   -20  > color White
    // If you need a spotlight, use the statements below
    // replace ? with proper values
    //spotlight
    //point_at < ? ? ? >
    //radius ?
    //falloff ?
    //tightness ?
  }
}

// LIGHT_SOURCE
object {
  light_source{< 20  20   20  > color Blue
    // If you need a spotlight, use the statements below
    // replace ? with proper values
    //spotlight
    //point_at < ? ? ? >
    //radius ?
    //falloff ?
    //tightness ?
  }
}

// LIGHT_SOURCE
object {
  light_source{< 5  -40   -5  > color Cyan
    // If you need a spotlight, use the statements below
    // replace ? with proper values
    //spotlight
    //point_at < ? ? ? >
    //radius ?
    //falloff ?
    //tightness ?
  }
}

// LIGHT_SOURCE
object {
  light_source{< 0   10   -20  > color White
    // If you need a spotlight, use the statements below
    // replace ? with proper values
    //spotlight
    //point_at < ? ? ? >
    //radius ?
    //falloff ?
    //tightness ?
  }
}

